<?php


namespace Daemon;


use Api\PhpServices\Daemon\DaemonServiceInterface;
use App\Models\goods\mysql\GoodsSku;
class Goods implements DaemonServiceInterface
{
	public function __construct(int $mid)
    {
        $this->mid = $mid;
    }

    public function run()
    {
        sleep(2);
        $orderData = [
            'online_status' => 1,
            'expiration_time[<]' => date("Y-m-d H:i:s",time())
        ];
        $goodsList = GoodsSku::getRecords($orderData);
        foreach ($goodsList as $key => $value) {
            $where = [];
            $where['goods_sku_id'] = !empty($value['goods_sku_id']) ? $value['goods_sku_id'] : '';
            $colums = [
                'online_status' => 2,
            ];  
            GoodsSku::save($colums, $where);
        }
    }
}