<?php


namespace Daemon;


use Api\PhpServices\Daemon\DaemonServiceInterface;
use App\Models\marketing\mysql\Marketing;
class Marketing implements DaemonServiceInterface
{
    const EXPIRE_DATA = 86400;
	public function __construct(int $mid)
    {
        $this->mid = $mid;
    }

    public function run()
    {
        sleep(2);
        $orderData = [
            'online_status' => 1,
            'end_time[<]' => date("Y-m-d H:i:s",time())
        ];
        $orderInfoList = Marketing::getMarketingList($orderData);
        foreach ($orderInfoList as $key => $value) {
            $where = [];
            $where['marketing_id'] = !empty($value['marketing_id']) ? $value['marketing_id'] : '';

            $colums = [
                'online_status' => 3,
            ];  
           Marketing::updateRecord($colums, $where);
        }
    }


}